/**
 * Copyright (c) 2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin.api.artifact;

/**
 * An ArtifactException is thrown when a remote archive can not be reached or is corrupted.
  * 
 * @author Nicolas Oddoux - EBM WebSourcing
 */
public class ArtifactException extends Exception {

	private static final long serialVersionUID = 4860514152092120640L;

	public ArtifactException() {
		super();
	}

	public ArtifactException(String message, Throwable cause) {
		super(message, cause);
	}

	public ArtifactException(String message) {
		super(message);
	}

	public ArtifactException(Throwable cause) {
		super(cause);
	}

}
